io.vertx.rxjava.ext.auth.oauth2.providers

## Class InstagramAuth

- java.lang.Object
- - io.vertx.rxjava.ext.auth.oauth2.providers.InstagramAuth

-     public class InstagramAuth
      extends Object

  Simplified factory to create an for Instagram.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<InstagramAuth>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstagramAuth(InstagramAuth delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret)` Create a OAuth2Auth provider for Instagram
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret, HttpClientOptions httpClientOptions)` Create a OAuth2Auth provider for Instagram
    `boolean` | `equals(Object o)`
    `InstagramAuth` | `getDelegate()`
    `int` | `hashCode()`
    `static InstagramAuth` | `newInstance(InstagramAuth arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<InstagramAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### InstagramAuth

          public InstagramAuth(InstagramAuth delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public InstagramAuth getDelegate()

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret)

      Create a OAuth2Auth provider for Instagram
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by Instagram
        `clientSecret` - the client secret given to you by Instagram
      Returns:

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret,
                                          HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for Instagram
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by Instagram
        `clientSecret` - the client secret given to you by Instagram
        `httpClientOptions` - custom http client options
      Returns:

    - #### newInstance

          public static InstagramAuth newInstance(InstagramAuth arg)

Copyright © 2019 Eclipse. All rights reserved.